eID middleware |

# be.portugal.eid.PTEID_CertifStatus Class Reference

Class that holds the possible certificate statuses. More...

List of all members.

## Public Member Functions
final int | swigValue ()
String | toString ()
## Static Public Member Functions
static PTEID_CertifStatus | swigToEnum (int swigValue)
## Static Public Attributes
static final PTEID_CertifStatus | PTEID_CERTIF_STATUS_UNKNOWN = new PTEID_CertifStatus("PTEID_CERTIF_STATUS_UNKNOWN", pteidlibJava_WrapperJNI.PTEID_CERTIF_STATUS_UNKNOWN_get())
| Validity unknown.
static final PTEID_CertifStatus | PTEID_CERTIF_STATUS_REVOKED = new PTEID_CertifStatus("PTEID_CERTIF_STATUS_REVOKED")
| Revoked certificate.
static final PTEID_CertifStatus | PTEID_CERTIF_STATUS_TEST = new PTEID_CertifStatus("PTEID_CERTIF_STATUS_TEST")
| Test certificate.
static final PTEID_CertifStatus | PTEID_CERTIF_STATUS_DATE = new PTEID_CertifStatus("PTEID_CERTIF_STATUS_DATE")
| Certificate no more valid.
static final PTEID_CertifStatus | PTEID_CERTIF_STATUS_CONNECT = new PTEID_CertifStatus("PTEID_CERTIF_STATUS_CONNECT")
| Connection problem.
static final PTEID_CertifStatus | PTEID_CERTIF_STATUS_ISSUER = new PTEID_CertifStatus("PTEID_CERTIF_STATUS_ISSUER")
| An issuer is missing in the chain.
static final PTEID_CertifStatus | PTEID_CERTIF_STATUS_ERROR = new PTEID_CertifStatus("PTEID_CERTIF_STATUS_ERROR")
| Error during validation.
static final PTEID_CertifStatus | PTEID_CERTIF_STATUS_VALID = new PTEID_CertifStatus("PTEID_CERTIF_STATUS_VALID")
| Valid certificate.
static final PTEID_CertifStatus | PTEID_CERTIF_STATUS_VALID_CRL = new PTEID_CertifStatus("PTEID_CERTIF_STATUS_VALID_CRL")
| Valid certificate through CRL process.
static final PTEID_CertifStatus | PTEID_CERTIF_STATUS_VALID_OCSP = new PTEID_CertifStatus("PTEID_CERTIF_STATUS_VALID_OCSP")
| Valid certificate through OCSP process.

## Detailed Description

Class that holds the possible certificate statuses.

## Member Function Documentation

static PTEID_CertifStatus be.portugal.eid.PTEID_CertifStatus.swigToEnum | ( | int | swigValue | ) | `[static]`

Referenced by be.portugal.eid.PTEID_EIDCard.getDataStatus(), be.portugal.eid.PTEID_OcspResponse.getResponse(), be.portugal.eid.PTEID_Certificate.getStatus(), be.portugal.eid.PTEID_Certificate.verifyCRL(), and be.portugal.eid.PTEID_Certificate.verifyOCSP().

final int be.portugal.eid.PTEID_CertifStatus.swigValue | ( |  | ) |

String be.portugal.eid.PTEID_CertifStatus.toString | ( |  | ) |

## Member Data Documentation

final PTEID_CertifStatus be.portugal.eid.PTEID_CertifStatus.PTEID_CERTIF_STATUS_CONNECT = new PTEID_CertifStatus("PTEID_CERTIF_STATUS_CONNECT")`[static]`

Connection problem.

final PTEID_CertifStatus be.portugal.eid.PTEID_CertifStatus.PTEID_CERTIF_STATUS_DATE = new PTEID_CertifStatus("PTEID_CERTIF_STATUS_DATE")`[static]`

Certificate no more valid.

final PTEID_CertifStatus be.portugal.eid.PTEID_CertifStatus.PTEID_CERTIF_STATUS_ERROR = new PTEID_CertifStatus("PTEID_CERTIF_STATUS_ERROR")`[static]`

Error during validation.

final PTEID_CertifStatus be.portugal.eid.PTEID_CertifStatus.PTEID_CERTIF_STATUS_ISSUER = new PTEID_CertifStatus("PTEID_CERTIF_STATUS_ISSUER")`[static]`

An issuer is missing in the chain.

final PTEID_CertifStatus be.portugal.eid.PTEID_CertifStatus.PTEID_CERTIF_STATUS_REVOKED = new PTEID_CertifStatus("PTEID_CERTIF_STATUS_REVOKED")`[static]`

Revoked certificate.

final PTEID_CertifStatus be.portugal.eid.PTEID_CertifStatus.PTEID_CERTIF_STATUS_TEST = new PTEID_CertifStatus("PTEID_CERTIF_STATUS_TEST")`[static]`

Test certificate.

final PTEID_CertifStatus be.portugal.eid.PTEID_CertifStatus.PTEID_CERTIF_STATUS_UNKNOWN = new PTEID_CertifStatus("PTEID_CERTIF_STATUS_UNKNOWN", pteidlibJava_WrapperJNI.PTEID_CERTIF_STATUS_UNKNOWN_get())`[static]`

Validity unknown.

final PTEID_CertifStatus be.portugal.eid.PTEID_CertifStatus.PTEID_CERTIF_STATUS_VALID = new PTEID_CertifStatus("PTEID_CERTIF_STATUS_VALID")`[static]`

Valid certificate.

final PTEID_CertifStatus be.portugal.eid.PTEID_CertifStatus.PTEID_CERTIF_STATUS_VALID_CRL = new PTEID_CertifStatus("PTEID_CERTIF_STATUS_VALID_CRL")`[static]`

Valid certificate through CRL process.

final PTEID_CertifStatus be.portugal.eid.PTEID_CertifStatus.PTEID_CERTIF_STATUS_VALID_OCSP = new PTEID_CertifStatus("PTEID_CERTIF_STATUS_VALID_OCSP")`[static]`

Valid certificate through OCSP process.